src.backend.lib.pyShelf.Server Class Reference

## Public Member Functions

def | __init__ (self, root)
def | __aexit__ (self, *args, **kwargs)
def | initialize_server (self)
def | runImport (self)
def | socketio (self, websocket, path)
def | pong (self)
def | start (self)

## Public Attributes

| root
| host
| config
| loop
| serve

## Detailed Description

    Main Server Container
    :TODO: Document this

## Constructor & Destructor Documentation

## __init__()

def src.backend.lib.pyShelf.Server.__init__ | ( |  | self,
|  |  | root
| ) |  |

## Member Function Documentation

## __aexit__()

def src.backend.lib.pyShelf.Server.__aexit__ | ( |  | self,
|  | * | args,
|  | ** | kwargs
| ) |  |

## initialize_server()

def src.backend.lib.pyShelf.Server.initialize_server | ( |  | self | ) |

## pong()

def src.backend.lib.pyShelf.Server.pong | ( |  | self | ) |

## runImport()

def src.backend.lib.pyShelf.Server.runImport | ( |  | self | ) |

## socketio()

def src.backend.lib.pyShelf.Server.socketio | ( |  | self,
|  |  | websocket,
|  |  | path
| ) |  |

## start()

def src.backend.lib.pyShelf.Server.start | ( |  | self | ) |

## Member Data Documentation

## config

src.backend.lib.pyShelf.Server.config

## host

src.backend.lib.pyShelf.Server.host

## loop

src.backend.lib.pyShelf.Server.loop

## root

src.backend.lib.pyShelf.Server.root

## serve

src.backend.lib.pyShelf.Server.serve

The documentation for this class was generated from the following file:

- src/backend/lib/pyShelf.py